## megacli 8.07.14

=== debian/changelog ===
megacli (8.07.14-4) unstable; urgency=medium

  * Embedded libncurses5 dependency in private folder if libncurses5 package
    is not available.
    This is required for this package to work on Debian 13+.
  * Add libncurses6 alternative b-dep, so I can detect which version is there.
  * Bump debhelper compat level from 5 to 7 because current Debian 13 won't
    let me use such an old version.
  * Switch to 3.0 (quilt) source format to be able to include binaries in
    debian folder.

 -- Adam Cecile <acecile@le-vert.net>  Wed, 04 Feb 2026 18:47:50 +0100

megacli (8.07.14-3) unstable; urgency=medium

  * Change distribution tag in version to ease dist upgrades.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 17 Aug 2021 10:30:48 +0200

megacli (8.07.14-2) unstable; urgency=medium

  * Use lsb-release to generate unique distribution tag in pkgs version.
  * Add libncurses5 as build dependency so shlibsdeps find proper dep.

 -- Adam Cecile <acecile@le-vert.net>  Tue, 02 Jul 2019 23:58:31 +0200

megacli (8.07.14-1) unstable; urgency=medium

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 26 Jan 2014 00:40:52 +0100

megacli (8.04.07-1) unstable; urgency=low

  * New upstream release (Closes: #221).
  * Rewrite debian/copyright to use the machine readable format.
    - Re-wrap website EULA using vim command: !%fold -s -w76 and a couple
      of sed.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 20 Aug 2012 22:23:22 +0200

megacli (8.02.16-1) unstable; urgency=low

  * New upstream release (Closes: #60).
  * Rewrite most of the packaging because megacli now needs a specific
    library (loaded using a shell wrapper).
  * Include megacli user guide PDF (Closes: #178).

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 30 Jan 2012 17:26:35 +0100

megacli (5.00.12-1) unstable; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Sun, 16 Aug 2009 01:58:43 +0200

megacli (4.00.11-1) unstable; urgency=low

  * New upstream release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Mon, 27 Apr 2009 19:21:30 +0200

megacli (4.00.08-1) unstable; urgency=low

  * New upstream release.
  * Rename both source and binary packages from megaclisas to megacli.
  * Support IA-64 package.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 11 Dec 2008 17:33:57 +0100

megaclisas (2.00.11-1) unstable; urgency=low

  * New upstream release.
  * Add upstream changelog.
  * Bump Standards-Version to 3.8.0.
  * Some packaging cleanup.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Thu, 21 Aug 2008 15:42:02 +0200

megaclisas (1.01.40-1) unstable; urgency=low

  * Initial release.

 -- Adam Cécile (Le_Vert) <gandalf@le-vert.net>  Tue, 11 Dec 2007 16:52:58 +0100
