## megacli 8.7.14.1~20250812154857.33%2Bbuster

=== debian/changelog ===
megacli (8.7.14.1~20250812154857.33+buster) all; urgency=medium

  [ Mario Fetka ]
  * Rebuild for all Distros
  * import
  * Imported Upstream version 8.07.14

  [ jenkins-debian-glue Autobuilder ]
  * SNAPSHOT autobuild for unreleased 8.7.14.1 via jenkins-debian-glue.

 -- jenkins-debian-glue Autobuilder <jenkins@debdev.disconnected-by-peer.at>  Tue, 12 Aug 2025 17:48:57 +0200
