=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Adam Cécile (Le_Vert) <gandalf@le-vert.net>
-Build-Depends: debhelper (>= 7), libncurses5 | libncurses6, lsb-release
+Build-Depends: debhelper (>= 5), libncurses6, patchelf
 Standards-Version: 3.9.5
 Homepage: http://www.lsi.com/support/Pages/Download-Results.aspx?keyword=megacli
